/* You can add global styles to this file, and also import other style files */
@import url("https://fonts.googleapis.com/css?family=Roboto");
@import './dist/scss/variables.scss';

* {
  font-family: "Roboto", sans-serif;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}

body {
  margin: 0 ! important;
  padding: 0 ! important;
  background-color: #A6A6A6A6;
}

ul,
li {
  list-style: none;
  margin-top: 8px;
  // margin-left: 16px;
}

ul,
li:last-child {
  margin-bottom: 8px;
}

textarea:focus,
input:focus,
button {
  outline: none;
}

button {
  cursor: pointer;
}

input {
  border: none;
  border-radius: 3px;
  background: $secondary-background-color;

  font-size: 14px;
  color: $primary-text-color;
  text-align: center;

  padding: 10px 6px 10px 6px;
  box-sizing: border-box;
  text-align: start;

  &::placeholder {
    color: $secondary-text-color;
  }
}

select {
  border: none;
  border-radius: 3px;
  background: $secondary-background-color;
  border-color: $secondary-background-color;

  font-size: 14px;
  color: $primary-text-color;
  text-align: center;

  padding: 10px 6px 10px 6px;
  margin: 6px 8px 6px 8px;
  //box-sizing: border-box;
  text-align: start;

  &::placeholder {
    color: $secondary-text-color;
    border: none;
    border-color: $secondary-background-color;
  }

  &:focus {
    border: none;
  }
}

a {
  text-decoration: none;
  color: $secondary-text-color;
}

header {
  display: flex;
  background-color: $tertiary-background-color;

}

.divisor {
  flex: 1;
  border-style: solid;
  border-color: rgba(255, 255, 255, .3);
  border-width: 1px 0 0 0;
  margin-left: 16px;
  margin-right: 16px;

  @media screen and (min-width: 30em) {
    border-width: 0 1px 0 0;
  }
}

.menu {
  display: flex;
  flex-direction: row;
}

.active {
  //color: $primary-text-color;
  text-decoration: none;
  font-weight: bold;
}

.button {
  padding: 10px 6px 10px 6px;
  //margin: 0 0 0 0;
  //margin: 6px 8px 6px 8px;
  margin: 6px 0 6px 0;
  min-width: 128px;
  border-radius: 3px;
  font-size: 14px;
  text-align: center;
  text-transform: capitalize;
  text-decoration: none;
  border: none;
  outline: none;
  background-color: $secondary-color;
  color: $secondary-text-color;

  &:disabled {
    background-color: $light-gray;
  }
}

.container {
  padding: 10px;
}

.content {
  margin-left: 16px;
  margin-right: 16px;
}

.box {
  height: 100px;
  width: 100px;
  border-radius: 4px;
}

.inputBox {
  padding-top: 20px;
  padding-bottom: 20px;
}

.jsonBox {
  padding: 16px;
  background-color: $light-gray;
  width: 200px;
  height: 200px;
  border-radius: 3px;
  //margin: 16px;
  margin: 6px 0 6px 0;
}

.icon {
  width: 5%;
  background: none;
  border: none;
  margin-right: 16px;
}

.box-row {
  display: flex;
  flex-direction: row;
}

.box-column {
  display: flex;
  flex-direction: column;
}

.radio {
  border-radius: 8px;
  padding: 8px;

  &:checked {
    background-color: $primary-text-color;
    // box-shadow: inset 0 0 0 4px $color1;

  }
}

.errorMessage {
  font-size: 10px;
  color: $danger-color;
  font-style: italic;
}
